mobileactivation_activate
mobileactivation_activate_with_session
mobileactivation_client_free
mobileactivation_client_new
mobileactivation_client_start_service
mobileactivation_client_t
mobileactivation_create_activation_info
mobileactivation_create_activation_info_with_session
mobileactivation_create_activation_session_info
mobileactivation_deactivate
mobileactivation_error_t
mobileactivation_get_activation_state
MOBILEACTIVATION_SERVICE_NAME

## mobileactivation_client_start_service()

LIBIMOBILEDEVICE_API mobileactivation_error_t mobileactivation_client_start_service | ( | idevice_t | device,
|  | mobileactivation_client_t * | client,
|  | const char * | label )

Starts a new mobileactivation service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated mobileactivation_client_t upon successful return. Must be freed using mobileactivation_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  MOBILEACTIVATION_E_SUCCESS on success, or an MOBILEACTIVATION_E_* error code otherwise.